package org.supermarket.gr;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.ViewGroup.LayoutParams;
import android.widget.Button;
import android.widget.RadioButton;
/**
 * Κλάση για τον ορισμό της συνθήκης κάτω από την οποία επιτρέπετε να 
 * πραγματοποιείται επικοινωνία με τη κεντρική βάση δεδομένων για την αποστολή νέων δεδομένων. 
 */
public class Settings extends Activity implements Button.OnClickListener
{
	private RadioButton rb1;
	private RadioButton rb2;
	private RadioButton rb3;
	private Button b1;
	
	@Override
	public void onCreate(Bundle savedInstanceState) 
	{
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.radio);	
		getWindow().setLayout(LayoutParams.FILL_PARENT, LayoutParams.FILL_PARENT);
		getWindow().setFeatureInt(Window.FEATURE_NO_TITLE,R.layout.radio);
	
		rb1=(RadioButton)findViewById(R.id.option1);
		rb2=(RadioButton)findViewById(R.id.option2);
		rb3=(RadioButton)findViewById(R.id.option3);
		b1=(Button)findViewById(R.id.selected);
		b1.setOnClickListener((android.view.View.OnClickListener) this);
	}
	
	
	
	public void onClick(View v) 
	{
		
		if(v == b1)
		{
			Intent intent = new Intent();
			
			if(rb1.isChecked())
			{
				intent.putExtra("returnKey","always");	
			}
			else if(rb2.isChecked())
			{
				intent.putExtra("returnKey","wifi");	
			}
			else if(rb3.isChecked())
			{
				intent.putExtra("returnKey","never");	
			}
			else
			{
				intent.putExtra("returnKey","nill");
			}
			setResult(RESULT_OK,intent);
			finish();
		}
		
	}
	
	
	 public void onBackPressed()
	 {
		 Intent intent = new Intent();
		 intent.putExtra("returnKey","nill");
		 setResult(RESULT_OK,intent);
		finish();
	 }

}