package org.supermarket.gr;

import java.util.ArrayList;

import android.content.ContentValues;
import android.database.SQLException;
import android.util.Log;

/**
 *Κλάση που παρέχει δομές δεδομένων και μεθόδους για την αποθήκευση και προσπέλαση των δεδομένων που σχετίζονται με τα κοντινά supermarket και τις τιμές που προσφέρουν. 
 */
public class SupermarketsAndPricesStaticClass 
{
	public static String theProductsPricesReturned[][];
	 public static String[][] productPricesStatic;
	 public static String[] supermarketsNameAndAddressStatic;
	 public static ArrayList<String> supermarketsNameStatic;
	 public static ArrayList<String> supermarketsAddressStatic;
	 public static ArrayList<String> productNamesStatic;
	 public static ArrayList<String> amountOfProductStatic;
	 
	 public static String theUserIDStatic;
	 
	 public static void setUserID(String theUserID)
	 {
		 theUserIDStatic=new String(theUserID);
	 }
	 
	 public static String getUserID()
	 {
		 	return theUserIDStatic;
	 }
	 
	 public static void setProductsAndPrices(String[][] theProductAndPrices)
	 {
		 	productPricesStatic=theProductAndPrices;
	 }
	 
	 public static void setSupermarketsNames(ArrayList<String> theSupermarketsNameStatic)
	 {
		 supermarketsNameStatic=theSupermarketsNameStatic;
	 }
	 
	 public static void setSupermarketsAddress(ArrayList<String> theSupermarketsAddressStatic)
	 {
		 supermarketsAddressStatic=theSupermarketsAddressStatic;
	 }
	 
	 public static void setProductsNames(ArrayList<String> theProductNames)
	 {
		 productNamesStatic=theProductNames;
	 }
	 
	 public static void setAmountOfProduct(ArrayList<String> theamount)
	 {
		 amountOfProductStatic=theamount;
	 }
	 
	 public static String[][] getProductsAndPrices()
	 {
		 theProductsPricesReturned=new String[supermarketsNameStatic.size()][];
		 double totalCost=0.0;
		 for(int i=0;i<supermarketsNameStatic.size();i++)
		 {
			 theProductsPricesReturned[i]=new String[productPricesStatic[i].length];
			 for(int j=0;j<productPricesStatic[i].length;j++)
			 {
				try 
				{
					if(j<productPricesStatic[i].length-1)
					{
						double partCost=Double.parseDouble(productPricesStatic[i][j])*Double.parseDouble(amountOfProductStatic.get(j));
						theProductsPricesReturned[i][j]=productNamesStatic.get(j)+"( "+productPricesStatic[i][j]+" )"+" x "+amountOfProductStatic.get(j)+" = "+partCost+" euro";
						totalCost=totalCost+partCost;
					}
					else
						theProductsPricesReturned[i][j]=productNamesStatic.get(j)+" = "+totalCost+" euro";
					
				}
				catch (NumberFormatException e) 
				{
					Log.e("products", e.toString());
					theProductsPricesReturned[i][j]=productNamesStatic.get(j)+" = "+productPricesStatic[i][j];
				} 
			 }
			 totalCost=0.0;
			
		 }
		 
	     return theProductsPricesReturned;
	 }
	 
	 public static String[] getSupermarketsNamesAndAddress()
	 {
		 supermarketsNameAndAddressStatic=new String[supermarketsNameStatic.size()];
		 for(int i=0;i<supermarketsNameStatic.size();i++)
		 {
			 int pos=SupermarketsAndPricesStaticClass.getProductsAndPrices()[i].length;
			 supermarketsNameAndAddressStatic[i]=supermarketsNameStatic.get(i)+" ( "+supermarketsAddressStatic.get(i)+" )" + 
					 " "+SupermarketsAndPricesStaticClass.getProductsAndPrices()[i][pos-1];
		 }
	     return supermarketsNameAndAddressStatic;
	 }
	 
	 public static String[][] getProductPricesStatic()
	 {
	         return productPricesStatic;
	 }
	 
}
